%define __libtoolize :

%define po_package libgtop-2.0

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        GNOME top libraries	
Name:      	libgtop
Version:   	2.22.0
Release:   	1
License: 	GNU/GPL
URL:	  	ftp://ftp.gnome.org
Group:     	Graphical Desktop/GNOME/Base
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glib-devel
BuildRequires:  texinfo libtool gettext
BuildRequires:  intltool
BuildRequires:  autoconf automake 

%description
Libgtop is a library used by gnome-system-monitor and the
system monitor applet to get various bits of information
about usage of system resources, processes, etc.

%package devel
Summary: 	Libraries and include files for developing with libgtop.
Group: 		Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib-devel

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with libgtop.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n libgtop-%{version}

%build
# prog_as patches configure.in
libtoolize --force
aclocal
automake --add-missing
autoconf
autoheader

%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

## no dumb daemon thing
/bin/rm -f $RPM_BUILD_ROOT%{_bindir}/*

# not worth fooling with
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/info

%find_lang %{po_package}
%files -f %{po_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*
/usr/share/gtk-doc/

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_includedir}/libgtop-2.0
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.la
%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.14.8-1
- Version update
* Mon Nov 06 2006 Christian Metzen <metzench@ccux-linux.de> 2.14.4-1
- Version update, moved prefix
* Sat Mar 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.13.3-1
- Initial Release
